Subject: bug#31655: no obvious link to the Lisp Reference Manual

From: Stefan Kangas <[email-masked]>
Date: Sun, 01 Dec 2019 08:45:18 +0100

Eli Zaretskii <[email-masked]> writes:

>> >>   https://www.gnu.org/manual/manual.html
>> >> 
>> >> Command-F followed by ,lisp ref, results in 
>> >> 
>> >>   Phrase not found
>> >
>> > Try "elisp" instead, and Bob's your uncle.
>> 
>> The request here is to have a separate link to the Emacs Lisp
>> Reference Manual from that page.  I think that request makes sense; in
>> any case it definitely can't hurt.
>
> My point was that there is such a link already there.  Search for
> "elisp", and you will find it.  The OP searched for "lisp ref" for
> some reason, and that substring is not present on the page.
> Personally, I don't understand the motivation behind that search
> string, but that's me.

Ah, I see now.  Indeed, the suggested search string was "lisp ref".  I
also wouldn't necessarily expect a beginner to search for that.

I was searching on the page for "emacs lisp", which is what I suspect
a beginner would go for.  I'm also guessing that "elisp" is a
shorthand that might be unknown to beginners.

> If we are going to add more links to the ELisp manuals (or Emacs
> manuals in general), we might as well first come up with a list of
> strings people might use while searching that page, because adding
> just one random string might not be good enough for the next bug
> report.

Personally, I think adding a link named "Emacs Lisp Reference Manual"
would be enough.

Best regards,
Stefan Kangas